org.apache.poi.poifs.crypt

## Enum ChainingMode

- java.lang.Object
- - java.lang.Enum<ChainingMode>
  - - org.apache.poi.poifs.crypt.ChainingMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChainingMode>

      public enum ChainingMode
      extends java.lang.Enum<ChainingMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cbc`
    `cfb`
    `ecb`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `ecmaId`
    `java.lang.String` | `jceId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChainingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChainingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ecb

          public static final ChainingMode ecb

    - #### cbc

          public static final ChainingMode cbc

    - #### cfb

          public static final ChainingMode cfb

  - ### Field Detail

    - #### jceId

          public final java.lang.String jceId

    - #### ecmaId

          public final int ecmaId

  - ### Method Detail

    - #### values

          public static ChainingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChainingMode c : ChainingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChainingMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.